# The library consists of headers only
%global debug_package %{nil}

Name:           glm
Version:        0.9.4.6
Release:        %mkrel 1
Summary:        C++ mathematics library for graphics programming
Group:          Development/C++
License:        MIT
URL:            http://glm.g-truc.net/
Source0:        http://downloads.sourceforge.net/ogl-math/%{name}-%{version}/%{name}-%{version}.zip
Patch0:         glm-0.9.3.4-secondary.patch
BuildRequires:  cmake

%description
GLM is a C++ library for doing mathematics operations
required in many OpenGL based applications. Its interface
has been designed to resemble the built-in matrix and vector
types of the OpenGL shading language.

%package        devel
Group:          Development/C++
Summary:        C++ mathematics library for graphics programming

%description    devel
GLM is a C++ library for doing mathematics operations
required in many OpenGL based applications. Its interface
has been designed to resemble the built-in matrix and vector
types of the OpenGL shading language.

%{name}-devel is only required for building software that uses
the GLM library. Because GLM currently is a header-only library,
there is no matching run time package.

%package        doc
Summary:        Documentation for %{name}-devel
Group:          Documentation
BuildArch:      noarch

%description    doc
The %{name}-doc package contains reference documentation and
a programming manual for the %{name}-devel package.

%prep
# Some glm releases, like version 0.9.3.1, place contents of
# the source archive directly into the archive root. Others,
# like glm 0.9.3.2, place them into a single subdirectory.
# The former case is inconvenient, but it can be be
# compensated for with the -c option of the setup macro.
#
# When updating this package, take care to check if -c is
# needed for the particular version.
#
# Also it looks like some versions get shipped with a common
# directory in archive root, but with an unusual name for the
# directory. In this case, use the -n option of the setup macro.
%setup -q -n glm

# A couple of files had CRLF line-ends in them.
# Check with rpmlint after updating the package that we are not
# forgetting to convert line endings in some files.
#
# This release of glm seems to have shipped with no CRLF file
# endings at all, so these are commented out.
sed -i 's/\r//' copying.txt
sed -i 's/\r//' readme.txt
sed -i 's/\r//' doc/api/doxygen.css
sed -i 's/\r//' doc/api/dynsections.js
sed -i 's/\r//' doc/api/jquery.js
sed -i 's/\r//' doc/api/tabs.css
sed -i 's/\r//' CMakeLists.txt

%ifnarch %{ix86} x86_64
%patch0 -p1 -b .secondary
%endif

%build
%{cmake} -DGLM_TEST_ENABLE=ON
%make

%check
cd build

ctest --output-on-failure

%install
cd build

make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name CMakeLists.txt -exec rm -f {} ';'

%files devel
%doc copying.txt readme.txt
%{_includedir}/%{name}

%files doc
%doc doc/%{name}.pdf
%doc doc/api/



%changelog
* Thu Apr 03 2014 pinoc <vogtpet at gmail.com> 0.9.4.6-1.pclos2014
- imported package